ModernLoop Internal API
Apipylon

Get a Pylon custom field definition (GET /custom-fields/{id})

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/pylon/custom-fields/string" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "data": {    "id": "string",    "slug": "string",    "label": "string",    "description": "string",    "type": "string",    "object_type": "string",    "source": "string",    "is_read_only": true,    "default_value": "string",    "default_values": [      "string"    ],    "created_at": "string",    "updated_at": "string",    "number_metadata": {      "currency": "string",      "decimal_places": 0,      "duration_display_format": "string",      "duration_input_unit": "string",      "format": "string"    },    "select_metadata": {      "options": [        {          "label": "string",          "slug": "string"        }      ]    }  },  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Resource UUID or external identifier

Response Body

application/json

application/json

application/json

application/json

application/json